> ## Documentation Index
> Fetch the complete documentation index at: https://docs-hosting.axiomesh.io/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_newBlockFilter

Creates a filter in the node, to notify when a new block arrives. To check if the state has changed, call eth\_getFilterChanges.

### Body

<ParamField body="id" type="number" placeholder="1">
  Serves as a unique identifier for the request
</ParamField>

<ParamField body="jsonrpc" type="string" placeholder="2.0">
  Indicates the version of JSON-RPC being used
</ParamField>

<ParamField body="method" type="string" placeholder="eth_newBlockFilter">
  Represents the name of the remote procedure or method to be called
</ParamField>

<ParamField body="params" type="array">
  None
</ParamField>

### Response

<ResponseField name="id" type="number">
  Returns unique identifier for the request
</ResponseField>

<ResponseField name="jsonrpc" type="string">
  Returns the version of JSON-RPC being used.
</ResponseField>

<ResponseField name="filterId" type="string">
  A filter id
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl  'https://rpc1.aries.axiomesh.io' \
  --header 'Content-Type: application/json' \
  --data '{
      "jsonrpc":"2.0",
      "method":"eth_newBlockFilter",
      "params":[],
      "id":1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id":1,
      "jsonrpc": "2.0",
      "result": "0xd28b61b399766b07f9889f9c126a5af" 
  }
  ```
</ResponseExample>
